# Cinder

# cinder::DataTarget Class Reference

`#include <DataTarget.h>`

Inherited by cinder::DataTargetPath, and cinder::DataTargetStream.

List of all members.

## Public Member Functions
virtual bool | providesFilePath ()=0
virtual bool | providesUrl ()=0
const std::string & | getFilePath ()
const Url & | getUrl ()
const std::string & | getFilePathHint ()
virtual OStreamRef | getStream ()=0
## Protected Member Functions
| DataTarget (const std::string &aFilePath, const Url &aUrl)
virtual | ~DataTarget ()
void | setFilePathHint (const std::string &aFilePathHint)
## Protected Attributes
Buffer | mBuffer
std::string | mFilePath
std::string | mFilePathHint
Url | mUrl

## Constructor & Destructor Documentation

cinder::DataTarget::DataTarget | ( | const std::string & | aFilePath,
|  | const Url & | aUrl |
| ) |  |  | `[protected]`

virtual cinder::DataTarget::~DataTarget | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool cinder::DataTarget::providesFilePath | ( |  | ) | `[pure virtual]`

Implemented in cinder::DataTargetPath, and cinder::DataTargetStream.

virtual bool cinder::DataTarget::providesUrl | ( |  | ) | `[pure virtual]`

Implemented in cinder::DataTargetPath, and cinder::DataTargetStream.

const std::string & cinder::DataTarget::getFilePath | ( |  | ) |

const Url & cinder::DataTarget::getUrl | ( |  | ) |

const std::string & cinder::DataTarget::getFilePathHint | ( |  | ) |

virtual OStreamRef cinder::DataTarget::getStream | ( |  | ) | `[pure virtual]`

Implemented in cinder::DataTargetPath, and cinder::DataTargetStream.

void cinder::DataTarget::setFilePathHint | ( | const std::string & | aFilePathHint | ) | `[protected]`

## Member Data Documentation

Buffer cinder::DataTarget::mBuffer`[protected]`

std::string cinder::DataTarget::mFilePath`[protected]`

std::string cinder::DataTarget::mFilePathHint`[protected]`

Url cinder::DataTarget::mUrl`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/DataTarget.h
- src/cinder/DataTarget.cpp